[Ayuda] no puedo compilar
#1
Hola Buen Día 

antes que todo soy nuevo en esto de los plugin y amx (así que tengan un poco de paciencia si no entiendo algo )

el problema es que hace tiempo descargue un archivo .sma ( plugin ), para luego compilarlo 

pero cando intente compilarlo siempre me sale este error

Welcome to the AMX Mod X 1.8.1-300 Compiler.
Copyright © 1997-2006 ITB CompuPhase, AMX Mod X Team



Error: Undefined symbol "RegisterHookChain" on line 60

Warning: Expression has no effect on line 60

Error: Invalid expression, assumed zero on line 60

Error: Undefined symbol "post" on line 60

Error: Too many error messages on one line on line 60



Compilation aborted.

4 Errors.
Could not locate output file F:\101\programas\Counter-Strike 1.6\cstrike\addons\amxmodx\scripting\compiled\reapi_test_pet.amx (compile failed).


solo lo edite para cambiarle el idioma que estaba en ruso

tengo que aclarar que este archivo solo lo pienso compartir con mi primo y que no quiero hacerme pasar por el autor ( el cual fue overgame?...creo )

por favor Ayuda no entiendo 
Responder
#2
Hola, adjunta el código para poder ayudarte.
"Cada golpe es una lección, y cada lección te hace mejor."
[Imagen: 76561198371193937.png]
[Imagen: b_350_20_ffad41_e98100_000000_591f11.png]
Responder
#3
Hola amigo asegúrate de leer las reglas antes de hacer un tema. https://amxmodx-es.com/Thread-Reglas
Sin el código no podemos hacer nada
Responder
#4
Error: Undefined symbol "RegisterHookChain" on line 60
Necesitas tener Reapi en tu servidor
Responder
#5
(05/05/2021, 09:48 PM)[N]drs escribió: Error: Undefined symbol "RegisterHookChain" on line 60
Necesitas tener Reapi en tu servidor

Si necesitara reapi le diera error en el inc Whatever
Responder
#6
(05/05/2021, 10:37 PM)CARNAGE escribió: Si necesitara reapi le diera error en el inc  Whatever

Justamente por no tener el include le sale ese error, probablemente o lo tiene comentado o no lo tiene agregado al plugin, asi que:
Código PHP:
//#include <reapi> 
->>
Código PHP:
#include <reapi> 
Responder
#7
off: También amigo te recomiendo actualizar la versión de tu amxx (compilador) la que usas ya esta un poco vieja te recomiendo utilizar la 1.8.3+
Responder
#8
este seria el archivo .sma (el traducido y el original )


Archivos adjuntos
.rar   código.rar (Tamaño: 7.06 KB / Descargas: 4)
Responder
#9
(06/05/2021, 12:33 AM)x-Kebin-x escribió: este seria el archivo .sma (el traducido y el original )

a mi me copila perfectamente actualiza tu version de amx y la version del reapi
Amxmodx https://www.amxmodx.org/downloads-new.php
reapi https://github.com/s1lentq/reapi
Pawn Básico no critiquen xD  Approved

Responder


Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)